#!/usr/bin/env python
# Convert json format VSS(Veicle Signal Spec) into csv

import json

#sourcefilename = "vss_rel_1.json"
sourcefilename = "testdata.json"

# $B:F5"MQ$N4X?tDj5A(B
def printChildren(NodeData, Level):
    prefix = '"",' * Level
    postfix = '"",' * (10 - Level -2)
    if NodeData.has_key('children') is False or len(NodeData['children']) == 0:
        #print prefix + " no children"
        return
    else:
        ChildrenData = NodeData['children']
        ChildrenKeys = ChildrenData.keys()
        ChildrenKeys.sort()
        for k in ChildrenKeys:
            print prefix + "[",k,"]," + postfix + '""'
            ChildData = ChildrenData[k]
            printChildren(ChildData, Level+1)


f = open(sourcefilename, "r")
jsonData = json.load(f)

Lv1Keys = jsonData.keys()

for k1 in Lv1Keys:
    postfix = '"",' * 8
    print "[", k1, "]," + postfix + '""'
    Lv1Data = jsonData[k1]
    printChildren(Lv1Data, 1)

f.close()

